Package org.gradle.tooling.events.download

## Interface FileDownloadOperationDescriptor

- All Superinterfaces:
    `OperationDescriptor`

      @Incubating
      public interface FileDownloadOperationDescriptor
      extends OperationDescriptor

  Describes the details of a file that is downloaded.
  Since:
    7.3

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.net.URI` | `getUri()` | Returns the URI that the file is downloaded from.

    - ### Methods inherited from interface org.gradle.tooling.events.OperationDescriptor

      `getDisplayName, getName, getParent`

- - ### Method Detail

    - #### getUri

          java.net.URI getUri()

      Returns the URI that the file is downloaded from.